[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetTextBuf

Copy the Text property into Buffer.

## Declaration

Source position: controls.pp line 1729

`public function TControl.GetTextBuf(`
`Buffer: PChar;`
`BufSize: Integer`
`):Integer; virtual;`

## Arguments

`Buffer` |  | Pointer to the buffer receiving the string.
`BufSize` |  | Length of the buffer.

## Function result

Length of the copied text.

## Description

This method only exists for Delphi compatibility.

Don't use or override it, unless really necessary.

## See also

TControl.RealGetText |  | Returns the Caption property.